Bug 250236 - numlock led on while numlock off in gdmgreeter
Summary: numlock led on while numlock off in gdmgreeter
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-31 09:41 UTC by Karel Volný
Modified: 2009-12-18 05:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 05:57:28 UTC


Attachments (Terms of Use)

Description Karel Volný 2007-07-31 09:41:35 UTC
Description of problem:

after boot, when the graphical login screen is displayed, keyboard numlock led 
shines while the numeric keypad does not write numbers

I have to press numlock key twice to get the numbers working (after first 
pressing the led switches off and the keypad does not write numbers, after 
that the switching works normally)

Version-Release number of selected component (if applicable):
gdm-2.18.3-1.fc7

How reproducible:
always

Additional info:
just ask ... I am not sure what to include

this is somehow similar to bug 214930 but I do not think it is the same (nor 
xserver fault) because in that case switching goes normally, only the led is 
wrong, while in this case the first switching does not affect the keyboard 
state, just the led

Comment 1 Karel Volný 2007-07-31 11:40:49 UTC
looks like bug 171361 is dealing with this ... but I am really not sure if 
this is duplicate; sorry if it is

Comment 2 Bug Zapper 2008-05-14 13:46:20 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Karel Volný 2008-05-15 09:57:33 UTC
I still experience this with Fedora 8 ... did not try Fedora 9 yet

Comment 4 Karel Volný 2008-05-21 08:19:05 UTC
Fedora 9 does the same

Comment 5 Christopher Beland 2008-11-02 02:03:29 UTC
I am seeing this problem as well with Fedora 10 Snap 3+ (kernel-debug-2.6.27.4-68.fc10.x86_64).

If my BIOS setting is for numlock to be off, the machine boots and the numlock LED is off.  If the BIOS setting is on, then the machine boots and the numlock LED is on.  But I can't type numbers in the username box with numberpad buttons until I hit the physical Num Lock button on the keyboard.  When I do that, the LED stays on but I can start typing numbers.

Comment 6 Bug Zapper 2008-11-26 01:58:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Karel Volný 2008-11-26 08:53:58 UTC
(In reply to comment #6)
> Changing version to '10'.

yes, still seen in Fedora 10 final (I just booted it ...)

Comment 8 Bug Zapper 2009-11-18 12:20:54 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2009-12-18 05:57:28 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.